//@import '~bootstrap/scss/functions';
//@import '~bootstrap/scss/variables';
//
///* ==========================================================================
//Navbar
//========================================================================== */
//
//.navbar-version {
//    font-size: 0.65em;
//    color: $navbar-light-color;
//}
//
//.navbar {
//    padding: 0.2rem 1rem;
//    .dropdown-item.active,
//    .dropdown-item.active:focus,
//    .dropdown-item.active:hover {
//        background-color: $dark;
//    }
//
//    ul.navbar-nav {
//        .nav-item {
//            margin-left: 0.5em;
//        }
//    }
//
//    a.nav-link {
//        font-weight: 400;
//    }
//
//    .navbar-toggler {
//        &:hover {
//            color: $navbar-dark-hover-color;
//        }
//    }
//}
//
///* ==========================================================================
//Logo styles
//========================================================================== */
//.logo-img {
//    height: 45px;
//    width: 45px;
//    display: inline-block;
//    vertical-align: middle;
//    background: url('../../../favicon.ico') no-repeat center center;
//    background-size: contain;
//}

/*=========================================================
	LOGO
===========================================================*/
@import "../../../styles";

.navbar-brand {
    padding: 0;
    margin: 15px 0px;
}

.navbar-brand .logo {
    display: inline-block;
}

.navbar-brand .logo>img {
    max-height: 50px;
}

@media only screen and (max-width: 991px) {
    .navbar-brand {
        margin: 15px 15px;
    }
}

#header.transparent-navbar:not(.fixed-navbar) .navbar-brand .logo .logo-img {
    display: none;
}

#header.fixed-navbar .navbar-brand .logo .logo-alt-img {
    display: none;
}

#header:not(.transparent-navbar) .navbar-brand .logo .logo-alt-img {
    display: none;
}

/*=========================================================
	NAVIGATION
===========================================================*/

#header {
    position: relative;
    background-color: #FFF;
    border-bottom: 1px solid #0000001a;
    z-index: 80;
    -webkit-transition: 0.3s all;
    transition: 0.3s all;
}

#header.transparent-navbar {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    background-color: transparent;
    border-bottom: 1px solid #DADADA30;
}

#header.fixed-navbar {
    position: fixed !important;
    left: 0;
    right: 0;
    top: 0;
    background: #FFF;
    -webkit-box-shadow: 0px 0px 3px #0003;
    box-shadow: 0px 0px 3px #0003;
    border-bottom: none;
    -webkit-animation: slide-in 0.3s;
    animation: slide-in 0.3s;
}

@-webkit-keyframes slide-in {
    from {
        -webkit-transform: translateY(-100%);
        transform: translateY(-100%);
    }
    to {
        -webkit-transform: translateY(0%);
        transform: translateY(0%);
    }
}

@keyframes slide-in {
    from {
        -webkit-transform: translateY(-100%);
        transform: translateY(-100%);
    }
    to {
        -webkit-transform: translateY(0%);
        transform: translateY(0%);
    }
}

.main-nav li a {
    position: relative;
    padding: 30px 15px;
    color: #0b0f28;
    text-transform: uppercase;
    -webkit-transition: 0.3s all;
    transition: 0.3s all;
}

#header.transparent-navbar .main-nav li a {
    color: #FFF;
}

#header.fixed-navbar .main-nav li a {
    color: #0b0f28;
}

//.main-nav li.active a:after {
//    content: "";
//    color: #dd0a37;
//    height: 3px;
//    position: absolute;
//    bottom: -3px;
//    width: 100%;
//    left: 0;
//    background: #dd0a37;
//}

a.dropdown-item {
    color: #333!important;
    &:hover {
        color: #dd0a37!important;
    }
}

.main-nav li a:hover, .main-nav li a:focus {
    background-color: transparent;
    color: #dd0a37;
}

#header.transparent-navbar .main-nav li a:hover {
    color: #dd0a37;
}

.navbar-toggle {
    display: none;
    height: 50px;
    width: 50px;
    text-align: center;
    line-height: 50px;
    margin: 15px;
    padding: 0;
    font-size: 32px;
    color: #0b0f28;
}

#header.transparent-navbar .navbar-toggle {
    color: #FFF;
    float: right;
}

#header.fixed-navbar .navbar-toggle {
    color: #0b0f28 !important;
}
.navbar-collapse {
    float: right;
}

#logout {
    cursor: pointer;
}

.dropdown-item.active{
    background-color: #dd0a37;
    color: #FFF!important;
    &:hover{
        background-color: #dd0a37!important;
        color: #FFF!important;
    }

}
/* Mobile nav */

@media only screen and (max-width: 991px) {
    .main-nav {
        margin: 0px -15px;
        //max-height: 0;
        overflow-y: scroll;
        background-color: #FFF;
        -webkit-transition: 0.3s all;
        transition: 0.3s all;
    }
    .main-nav.open {
        max-height: 500px;
    }
    .main-nav li.active a:after {
        display: none;
    }
    #header.transparent-navbar .main-nav li a {
        color: #0b0f28;
    }
    .main-nav li a:hover, .main-nav li a:focus, .main-nav li.active a {
        background-color: #dd0a37;
        color: #fff !important;
    }
    .navbar-toggle {
        display: block;
    }

    .navbar-collapse {
        float: none;
    }
}
